<script>
  import Nav from "../../../partials/nav.svelte";
  import Footer from "../../../partials/footer.svelte";
  import Comments from "../../../partials/comments.svelte";
      /** @type {import('./$types').PageData} */
    export let data;
</script>

<svelte:head>
  <title>{data.body.title}</title>
  <meta name="description" content={data.body.description} />
</svelte:head>
<div class="flex flex-col h-screen w-full max-w-4xl">
  <Nav />
  <div
    class="flex flex-col flex-grow bg-primary-bg justify-left mx-5"
    style="margin-top:3rem;"
  >
    <!-- Begin page content -->
    <div style="margin-bottom:1.5rem;">
      <p class="text-3xl">{data.body.title}</p>
      <p class="text-xs">Published: {data.body.date}</p>
    </div>
    <div
      class="prose max-w-none font-pluto antialiased tracking-tight leading-snug	list-disc	text-justify font-normal align-baseline text-black list-outside prose-img:rounded-md "
    >
      {@html data.body.html}
    </div>
    <Comments id={data.body.id} />

    <!-- End page content -->
  </div>
  <Footer />
</div>
